package com.platform.modules.qk.dto;

/**
 *
 */
public class VideoTrackClip {

    private String Id;
    private String VideoId;
    private String Type;
    private String Title;
    private int Index;
    private Boolean CutFlag;
    private Boolean TextFlag;
    private Boolean DeWatermarkFlag;
    private String URL;
    private String CoverURL;
    private String SpriteURLs;
    private int Width;
    private int Height;
    private Float Fps;
    private Float Bitrate;
    private Float In;
    private Float Out;
    private Float Duration;
    private Float VirginDuration;
    private Float TimelineIn;
    private Float TimelineOut;
    private Effects[] Effects;

    public com.platform.modules.qk.dto.Effects[] getEffects() {
        return Effects;
    }

    public void setEffects(com.platform.modules.qk.dto.Effects[] effects) {
        Effects = effects;
    }

    public String getId() {
        return Id;
    }

    public void setId(String id) {
        Id = id;
    }

    public String getVideoId() {
        return VideoId;
    }

    public void setVideoId(String videoId) {
        VideoId = videoId;
    }

    public String getType() {
        return Type;
    }

    public void setType(String type) {
        Type = type;
    }

    public String getTitle() {
        return Title;
    }

    public void setTitle(String title) {
        Title = title;
    }

    public int getIndex() {
        return Index;
    }

    public void setIndex(int index) {
        Index = index;
    }

    public Boolean getCutFlag() {
        return CutFlag;
    }

    public void setCutFlag(Boolean cutFlag) {
        CutFlag = cutFlag;
    }

    public Boolean getTextFlag() {
        return TextFlag;
    }

    public void setTextFlag(Boolean textFlag) {
        TextFlag = textFlag;
    }

    public Boolean getDeWatermarkFlag() {
        return DeWatermarkFlag;
    }

    public void setDeWatermarkFlag(Boolean deWatermarkFlag) {
        DeWatermarkFlag = deWatermarkFlag;
    }

    public String getURL() {
        return URL;
    }

    public void setURL(String URL) {
        this.URL = URL;
    }

    public String getCoverURL() {
        return CoverURL;
    }

    public void setCoverURL(String coverURL) {
        CoverURL = coverURL;
    }

    public String getSpriteURLs() {
        return SpriteURLs;
    }

    public void setSpriteURLs(String spriteURLs) {
        SpriteURLs = spriteURLs;
    }

    public int getWidth() {
        return Width;
    }

    public void setWidth(int width) {
        Width = width;
    }

    public int getHeight() {
        return Height;
    }

    public void setHeight(int height) {
        Height = height;
    }

    public Float getFps() {
        return Fps;
    }

    public void setFps(Float fps) {
        Fps = fps;
    }

    public Float getBitrate() {
        return Bitrate;
    }

    public void setBitrate(Float bitrate) {
        Bitrate = bitrate;
    }

    public Float getIn() {
        return In;
    }

    public void setIn(Float in) {
        this.In = in;
    }

    public Float getOut() {
        return Out;
    }

    public void setOut(Float out) {
        this.Out = out;
    }

    public Float getDuration() {
        return Duration;
    }

    public void setDuration(Float duration) {
        Duration = duration;
    }

    public Float getVirginDuration() {
        return VirginDuration;
    }

    public void setVirginDuration(Float virginDuration) {
        VirginDuration = virginDuration;
    }

    public Float getTimelineIn() {
        return TimelineIn;
    }

    public void setTimelineIn(Float timelineIn) {
        TimelineIn = timelineIn;
    }

    public Float getTimelineOut() {
        return TimelineOut;
    }

    public void setTimelineOut(Float timelineOut) {
        TimelineOut = timelineOut;
    }

    @Override
    public String toString() {
        return "VideoTrackClip{" +
                "Id='" + Id + '\'' +
                ", VideoId='" + VideoId + '\'' +
                ", Type='" + Type + '\'' +
                ", Title='" + Title + '\'' +
                ", Index=" + Index +
                ", CutFlag=" + CutFlag +
                ", TextFlag=" + TextFlag +
                ", DeWatermarkFlag=" + DeWatermarkFlag +
                ", URL='" + URL + '\'' +
                ", CoverURL='" + CoverURL + '\'' +
                ", SpriteURLs='" + SpriteURLs + '\'' +
                ", Width=" + Width +
                ", Height=" + Height +
                ", Fps=" + Fps +
                ", Bitrate=" + Bitrate +
                ", in=" + In +
                ", out=" + Out +
                ", Duration=" + Duration +
                ", VirginDuration=" + VirginDuration +
                ", TimelineIn=" + TimelineIn +
                ", TimelineOut=" + TimelineOut +
                '}';
    }
}